Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.progress/1 1.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.progress.aggregate
Class AggregateProgressFactory

    java.lang.Object
      org.netbeans.api.progress.aggregate.AggregateProgressFactory

    public final class AggregateProgressFactory

extends Object

Factory for creation of aggregate progress indication handles and individual contributor instances. For a more simple version of progress indication, see `ProgressHandleFactory`

Method Summary
`static AggregateProgressHandle` | `createHandle(String displayName, ProgressContributor[] contributors, Cancellable allowToCancel, Action linkOutput)` Create an aggregating progress ui handle for a long lasting task.
`static JComponent` | `createProgressComponent(AggregateProgressHandle handle)` Get the progress bar component for use in custom dialogs, the task won't show in the progress bar anymore.
`static ProgressContributor` | `createProgressContributor(String trackingId)`
`static AggregateProgressHandle` | `createSystemHandle(String displayName, ProgressContributor[] contributors, Cancellable allowToCancel, Action linkOutput)` Create an aggregating progress ui handle for a long lasting task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createHandle

    public static AggregateProgressHandle createHandle(String displayName,
                                                       ProgressContributor[] contributors,
                                                       Cancellable allowToCancel,
                                                       Action linkOutput)

  Create an aggregating progress ui handle for a long lasting task.

  Parameters:
    `contributors` - the initial set of progress indication contributors that are aggregated in the UI.
    `allowToCancel` - either null, if the task cannot be cancelled or an instance of `Cancellable` that will be called when user triggers cancel of the task.
    `linkOutput` - an `Action` instance that links the running task in the progress bar to an output of the task. The action is assumed to open the apropriate component with the task's output.
    `displayName` - to be shown in the progress UI
  Returns:
    an instance of `ProgressHandle`, initialized but not started.

### createProgressContributor

    public static ProgressContributor createProgressContributor(String trackingId)

### createSystemHandle

    public static AggregateProgressHandle createSystemHandle(String displayName,
                                                             ProgressContributor[] contributors,
                                                             Cancellable allowToCancel,
                                                             Action linkOutput)

  Create an aggregating progress ui handle for a long lasting task.

  Parameters:
    `contributors` - the initial set of progress indication contributors that are aggregated in the UI.
    `allowToCancel` - either null, if the task cannot be cancelled or an instance of `Cancellable` that will be called when user triggers cancel of the task.
    `linkOutput` - an `Action` instance that links the running task in the progress bar to an output of the task. The action is assumed to open the apropriate component with the task's output.
    `displayName` - to be shown in the progress UI
  Returns:
    an instance of `ProgressHandle`, initialized but not started.

### createProgressComponent

    public static JComponent createProgressComponent(AggregateProgressHandle handle)

  Get the progress bar component for use in custom dialogs, the task won't show in the progress bar anymore.

  Returns:
    the component to use in custom UI.
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.progress/1 1.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.